module.exports = {
  types: [
    { value: 'PATCH', name: 'PATCH:     Small addition to or revision of the Technical Reference' },
    { value: 'MINOR', name: 'MINOR:     Medium addition to or revision of the Technical Reference' },
    { value: 'MAJOR', name: 'MAJOR:     Huge contribution to or revision of the Technical Reference' },
    { value: 'feat', name: 'feat:     A new feature' },
    { value: 'fix', name: 'fix:      A bug fix' },
    { value: 'docs', name: 'docs:     General documentation-only changes' },
    {
      value: 'style',
      name:
        'style:    Changes that do not affect the meaning of the code\n            (white-space, formatting, missing semicolons, etc)',
    },
    { value: 'test', name: 'test:     Adding missing tests' },
    {
      value: 'build',
      name:
        'build:    Changes that affect the build system or dependencies\n            (example scopes: npm, docker, pip, ant)',
    },
    {
      value: 'ci',
      name:
        'ci:       Changes to the CI configuration\n            (example scopes: gitlab, travis)',
    },
    {
      value: 'chore',
      name:
        'chore:    Other changes that modify files other than source or test files'
    },
    { value: 'revert', name: 'revert:   Revert to a commit' },
  ],

  // it needs to match the value for field type. Eg.: 'fix'
  /*
  scopeOverrides: {
    fix: [

      {name: 'merge'},
      {name: 'style'},
      {name: 'e2eTest'},
      {name: 'unitTest'}
    ]
  },
  */
  // override the messages, defaults are as follows
  messages: {
    type: "Select the type of change that you're committing:",
    scope: '\nDenote the SCOPE of this change (optional):',
    // used if allowCustomScopes is true
    customScope: 'Denote the SCOPE of this change:',
    subject: 'Write a SHORT, IMPERATIVE mood description of the change:\n',
    body: 'Provide a LONGER description of the change (optional). Use "|" to break new line:\n',
    breaking: 'List any BREAKING CHANGES (optional):\n',
    footer: 'Reference ISSUES touched by this change (optional). E.g.: closes #31, see #34:\n',
    confirmCommit: 'Are you sure you want to proceed with the commit above?',
  },

  allowCustomScopes: true,
  allowBreakingChanges: ['feat', 'fix'],
  // skip any questions you want
  skipQuestions: ['body'],

  // limit subject length
  subjectLimit: 100,
  // breaklineChar: '|', // It is supported for fields body and footer.
  footerPrefix : ''
  // askForBreakingChangeFirst : true, // default is false
};
