# RDD Technical Reference

Guidelines and references for software development in RDD

To compile in markdown, use

```bash
pandoc --template=rdd.latex rdd-technical-reference.md -o rdd-technical-reference.pdf
```

Originally based on the [EURISE Network Technical Reference](https://github.com/eurise-network/technical-reference).

## Contributing

Commits have to be made following a certain convention that is defined by the [Conventional Commit](https://www.conventionalcommits.org/en/v1.0.0/) standard. This repo is designed to be used with [Commitizen](https://github.com/commitizen/cz-cli) for which we provide a configuration in `package.json`.

Install it with

```bash
npm install
```

You can now run a commit using commitizen with `git cz`.

To run commitizen on `git commit` rather than on `git cz`, update or create `.git/hooks/prepare-commit-msg` with the following code:

```bash
#!/bin/bash
exec < /dev/tty && node_modules/.bin/git-cz --hook || true
```

We have configured three types of commits for the work on the technical reference that should reflect the extent of your contribution:

- tr-s:     Small addition to or revision of Technical reference.
- tr-m:     Medium addition to or revision of Technical reference.
- tr-l:     Huge contribution to or revision of Technical reference.
